# mongoc_collection_stats()

## Synopsis

    bool
    mongoc_collection_stats (mongoc_collection_t *collection,
                             const bson_t        *options,
                             bson_t              *reply,
                             bson_error_t        *error);

## Parameters

collection | A mongoc_collection_t.
options | An optional bson_t containing extra options to pass to the collStats command.
reply | An optional location for a bson_t to store the result.
error | An optional location for a bson_error_t or NULL.

## Description

This function is a helper to retrieve statistics about the collection.

## Errors

Errors are propagated via the error parameter.

## Returns

true if successful

reply is always initialized to simplfiy memory handling.